/*
 * elRepo.io decentralized culture repository
 *
 * Copyright (C) 2019-2021  Asociación Civil Altermundi <info@altermundi.net>
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>
 *
 * SPDX-FileCopyrightText:  2019-2021 Asociación Civil Altermundi <info@altermundi.net>
 * SPDX-License-Identifier: AGPL-3.0-only
 */

.common-header{
    padding-top: 10px;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

.background {
    background-image: url(../img/background.png);
    background-color: rgb(36, 180, 0);
    background-position-y: -20px;
    position: relative;
    z-index: 0;
    display: block;
    flex-grow: 1;
    min-height: 100%;

    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
  /* transform: translateZ(-1px) scale(1.5); For parallax */
}

body {
  /* Fill the available space */
  height: 100vh;

  /* Make the children of the element closer to the viewport */
  /* perspective: 2px; parallax */

  /* Hide the overflow */
  overflow-x: hidden;
}

.comment-card footer, .little-italic{
    font-style: italic;
    font-size: smaller;
}


/* ==================================== */
/* MASONRY START */


.masonry-container {

  -webkit-column-count: 3;
  -moz-column-count: 3;
  column-count: 3;

  -webkit-column-gap: 15px;
  -moz-column-gap: 15px;
  column-gap: 15px;

  padding: 15px;
}

.masonry-item {
  display: inline-block;
  width: 100%;
  margin-bottom:15px;
  background-color: lightcyan;

}

.masonry-item img {
  display:block;
  width: 100%;
}


/* Responsive layout - makes a two column-layout instead of four columns */
@media screen and (max-width: 800px) {
    .masonry-container {
      -webkit-column-count: 2;
      -moz-column-count: 2;
      column-count: 2;

      -webkit-column-gap: 15px;
      -moz-column-gap: 15px;
      column-gap: 15px;
    }
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
    .masonry-container {
      -webkit-column-count: 1;
      -moz-column-count: 1;
      column-count: 1;

      -webkit-column-gap: 15px;
      -moz-column-gap: 15px;
      column-gap: 15px;
    }
}
